using Havit.Collections;
using ProtoBuf;

namespace DiplomovaPrace.Contracts
{
	[ProtoContract]
	public class PagedQueryRequest<T>
	{
		[ProtoMember(1)]
		public T Filter { get; init; }

		[ProtoMember(2)]
		public int PageIndex { get; init; }

		[ProtoMember(3)]
		public int PageSize { get; init; }

		[ProtoMember(4)]
		public SortItem[] Sorting { get; init; }
	}
}
